<?php

/**
 * Plugin Name:       GiroCode
 * Plugin URI:        https://documentid.net/girocode
 * Description:       Create GiroCodes for money transfer.
 * Version:           1.0.6
 * Author:            Minerva Kulturdienstleistungen UG (haftungsbeschränkt)
 * Author URI:        https://documentid.net
 * License:           GPL v2
 * License URI:       https://www.gnu.org/licenses/gpl-2.0.html
 */


function sepa_girocode_shortcode($attributes) {

    foreach (['beneficiary', 'iban', 'amount', 'purpose', 'type', 'size'] as $k) {
	if (array_key_exists($k, $attributes))
	    $$k = $attributes[$k];
    }

    $url = 'https://documentid.net/girocode';
    $action = 'online-png';
    $querystr = "";
    foreach (['beneficiary', 'iban', 'amount', 'purpose', 'type', 'action'] as $k ) {
	if (!empty($$k)) {
	    if (!empty($querystr))
		$querystr .= '&';
	    $querystr .= $k . '=' . urlencode($$k);
	}
    }
    if (!empty($querystr))
	$url .= '?' . $querystr;

    if (!isset($size))
	$size = 150;
    return '<img src="' . esc_url( $url ) . '" width="' . esc_html( $size ) . '" height="' . esc_html( $size ) . '">';
}


add_shortcode( 'girocode', 'sepa_girocode_shortcode' );

?>
